Description: Bonjour,

j'essaie un nouveau format dans AMC (phase de test) : remplissage du numéro de carte d'étudiant sur la grille 
de réponse. (environnement linuxmint 20)
Tout marche très bien (préparation, saisie, notation, même la génération d'un rapport openoffice!), sauf 
l'annotation des copies en fichier pdf: cela me génère un fichier pdf d'une page vierge (page blanche) alors 
que 5 copies ont parfaitement été traitées par AMC.
détail de la sortie de commande d'annotation des copies :
===<annotate>=+0.2
===<annotate>=+0.2
===<annotate>=+0.2
===<annotate>=+0.2
===<annotate>=+0.2
===<annotate>=+0
Merci de m'assister si possible!

History
03/03/2021 05:01 pm - Alexis Bienvenüe
Pouvez-vous effectuer l'annotation des copies en mode débogage (depuis le menu _Aide_), et poster le fichier @log@ produit ? 

03/04/2021 11:43 am - Serge Sawadogo
Oui tout à fait!
Voici le fichier log

03/04/2021 11:44 am - Serge Sawadogo
- File AMC-DEBUG-vaSXR7E1.log added

C'est mieux avec le fichier!

03/04/2021 11:58 am - Alexis Bienvenüe
- Status changed from New to Feedback

> [  72254,   0.43] |> ! ERROR : creating image surface / out of memory
Peut-être avez-vous des problèmes de mémoire vive ?
Quelle est la taille du fichier @immuno-0001.png@ ?
Pouvez-vous éventuellement essayer en fermant toutes les autres applications ? 

03/04/2021 12:09 pm - Serge Sawadogo
Merci pour la réponse rapide :
Possible mais cela me semble improbable : dans ce test je n'ai que 5 copies scannées d'environ 500ko chacune.
J'ai habituellement pour de vrai correction 500 à 900 copies scannées de la même taille et sans soucis.
J'ai repris la correction après avoir tout fermé et redémarrer l'ordinateur, sans succès... toujours la page blanche.

03/04/2021 01:45 pm - Alexis Bienvenüe
Pouvez-vous réessayer avec la dernière version, disponible dans le dépôt PPA test ?
Ou bien essayer en changeant le nom du répertoire projet pour qu'il ne contienne pas de parenthèses ?
03/04/2021 04:52 pm - Serge Sawadogo
- File Grille_de_r__ponse.png added

Merci infiniment pour l'assistance !!
1) changement du nom du répertoire -> sans effet dans ce cas par contre d'autres répertoires avec un nom contenant des parenthèses marche 
parfaitement
2) Installation de la dernière version d'AMC -> faite mais sans effet. au Passage très agréable cette amélioration de l'interface (je verrai à l'usage les 
nouveautés).
3) J'ai demandé à annoter "sujets et feuilles de réponses" et là surprise ! le sujet est corrigé mais la feuille de réponse reste vierge (seulement une 
seule copie  sur les 5 a été traitée par contre).
Peut être la méthode d'écriture de la feuille de réponse pose problème (je suis loin d'être un expert en Latex)... en code et en image :

%%% début de l'en-tête de la feuille de réponses

\centering{\large\bf GRILLE DE RÉPONSES:}

\begin{flushleft}
  \bf\em LES RÉPONSES DONNÉES SUR LES FEUILLES PRÉCEDENTES NE SERONT PAS PRISES EN COMPTE!\\
  Remplir les cases avec un stylo bleu ou noir. Ne pas remplir au crayon à papier
\end{flushleft}

\includegraphics[width=.9\linewidth]{cases.png} 

\setlength{\columnseprule}{0.002cm}
\setlength{\columnsep}{3cm}
\begin{multicols}{2}
\centering\noindent\AMCcode{etu}{7}\hspace*{\fill} \rotatebox{90}{N° carte d'étudiant (ÉTUDIANTS)}\\

\centering\hfill \champnom{\fbox{    
    \begin{minipage}{.8\linewidth}
      \center Identité de la copie \\ (SCOLARITÉ) :
      
      \vspace*{.5cm}\dotfill
      \vspace*{1mm}
    \end{minipage}
  }}
\end{multicols}

  \includegraphics[width=.9\linewidth]{reponses.png} 

%%% fin de l'en-tête de la feuille de réponses
\setlength{\columnseprule}{0cm}
\begin{multicols}{2}
\formulaire
\end{multicols}
\clearpage    

}  

03/04/2021 09:37 pm - Alexis Bienvenüe
Pouvez-vous nous transmettre une archive du répertoire projet complet ?
03/05/2021 04:40 pm - Serge Sawadogo
Bien entendu!
J'ai toutefois essayé de l'attaché en pièce joint mais le fichier semble trop volumineux (fichier compressé de 3,6M).
J'ai tenté également de changer le format de la feuille de réponse : 
Résultat, les copies tests sont bien annotées à présent mais c'est le fichier libreoffice calc qui n'est plus généré (toutefois le format CSV est généré 
normalement).
Cela est déjà satisfaisant. 
Je ne vais donc pas garder un fil de requête ouvert.
En vous remerciant pour l'assistance!

Files
AMC-DEBUG-vaSXR7E1.log 138 kB 03/04/2021 Serge Sawadogo
Grille_de_r__ponse.png 54.9 kB 03/04/2021 Serge Sawadogo
